Viewing Issue Advanced Details Jump to Notes ]
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
04397 Critical (emulator) Always 2011-06-29 21:04 2011-08-28 17:19
Tester Roman View Status Public Platform MAME (Official Binary)
Assigned To MooglyGuy Resolution Fixed OS Windows Vista/7 (64-bit)
Status [?] Resolved   Driver
Version 0.143 Fixed in Version 0.143u5 Build 64-bit
Summary 04397: MAME freezes with a hlsl .ini file.
Description MAME runs fine after fresh install and mame.ini hlsl attributes set. After that, it freezes when you don't delete the hlsl.ini file.
Steps To Reproduce a clean MAME 64 bit install, added the hlsl settings below to mame.ini.

running mame64 pacmania, starts fine, you see the effects, quit MAME, run it again, it will show a black screen after the disclaimer screens and it hangs (kill via taskmanager)

Delete the hlsl.ini in the hlsl folder and restart MAME and it's back working

here's the mame.ini hlsl part:
hlsl_enable 1
hlslini hlsl
hlslpath hlsl
hlsl_prescale_x 0
hlsl_prescale_y 0
hlsl_preset -1
hlsl_snap_width 1920
hlsl_snap_height 1200
shadow_mask_alpha 0.100000
shadow_mask_texture aperture.png
shadow_mask_x_count 320
shadow_mask_y_count 240
shadow_mask_usize 0.093750
shadow_mask_vsize 0.093750
curvature 0.050000
curvature 0.050000
pincushion 0.050000
scanline_alpha 0.600000
scanline_size 1.000000
scanline_height 0.700000
scanline_bright_scale 1.500000
scanline_bright_offset 0.600000
scanline_jitter 0.000000
defocus 1.500000,1.500000
converge_x 0.000000,0.000000,0.000000
converge_y 0.000000,0.000000,0.000000
radial_converge_x 0.000000,0.000000,0.000000
radial_converge_y 0.000000,0.000000,0.000000
red_ratio 1.000000,0.000000,0.000000
grn_ratio 0.000000,1.000000,0.000000
blu_ratio 0.000000,0.000000,1.000000
saturation 1.050000
offset 0.000000,0.000000,0.000000
scale 1.000000,1.000000,1.000000
power 2.200000,2.200000,2.200000
floor 0.020000,0.020000,0.020000
phosphor_life 0.200000,0.200000,0.200000
yiq_enable 0
yiq_cc 3.597545
yiq_a 0.500000
yiq_b 0.500000
yiq_o 0.000000
yiq_p 1.000000
yiq_n 1.000000
yiq_y 6.000000
yiq_i 1.200000
yiq_q 0.600000
yiq_scan_time 52.599998
yiq_phase_count 2


and here is the hlsl.ini file, note the strange characters for shadow_mask_texture:
hlsl_enable            1
hlsl_prescale_x        0
hlsl_prescale_y        0
hlsl_preset            -1
hlsl_snap_width        1920
hlsl_snap_height       1200
shadow_mask_alpha      0.000000
shadow_mask_texture    ??u?
shadow_mask_x_count    320
shadow_mask_y_count    240
shadow_mask_usize      0.093750
shadow_mask_vsize      0.093750
curvature              0.050000
pincushion             0.050000
scanline_alpha         0.600000
scanline_size          1.000000
scanline_height        0.700000
scanline_bright_scale  1.500000
scanline_bright_offset 0.600000
scanline_jitter        0.000000
defocus                1.500000,1.500000
converge_x             0.000000,0.000000,0.000000
converge_y             0.000000,0.000000,0.000000
radial_converge_x      0.000000,0.000000,0.000000
radial_converge_y      0.000000,0.000000,0.000000
red_ratio              1.000000,0.000000,0.000000
grn_ratio              0.000000,1.000000,0.000000
blu_ratio              0.000000,0.000000,1.000000
saturation             1.050000
offset                 0.000000,0.000000,0.000000
scale                  1.000000,1.000000,1.000000
power                  2.200000,2.200000,2.200000
floor                  0.020000,0.020000,0.020000
phosphor_life          0.200000,0.200000,0.200000
yiq_enable             0
yiq_cc                 3.597545
yiq_a                  0.500000
yiq_b                  0.500000
yiq_o                  0.000000
yiq_p                  1.000000
yiq_n                  1.000000
yiq_y                  6.000000
yiq_i                  1.200000
yiq_q                  0.600000
yiq_scan_time          52.599998
yiq_phase_count        2
Additional Information
Flags
Regression Version
Affected Sets / Systems
Attached Files
 


-  Notes
User avatar (07592)
Fujix (Administrator)
2011-06-30 00:25
edited on: 2011-06-30 00:30

Which is your point?
"HLSL enabled games run exactly 1x" OR "MAME crashes if you don't delete the hlsl.ini file"???

You write down the summary of your report in the summary field. Please read the tutorial carefully. http://mametesters.org/tutorial.html

User avatar (07593)
Fujix (Administrator)
2011-06-30 00:30
edited on: 2011-06-30 00:31

I confirmed the freeze in pacmania and pacman so far. Fixing up the report and confirming.

User avatar (07599)
B2K24 (Senior Tester)
2011-06-30 05:07
edited on: 2011-06-30 05:10

JD is aware of problem with the game specific creation of HLSL ini files.

To get around this problem simply delete hlslini %g in your mame.ini

Also, instead of just C&P settings, you should create a new mame.ini
with 143 binary then transfer existing settings manually.
You seem to be missing some entries and you have curvature listed twice.